<script>
	import { aside } from "@/stores/static"
</script>

<!-- svelte-ignore a11y-click-events-have-key-events -->
<div class="burger" class:active={$aside} on:click={() => aside.set(!$aside)} >
	<span></span>
	<span></span>
	<span></span>
</div>

<style lang="scss">
.burger {
	width: 1.125rem;
	height: .75rem;
	position: relative;
	span {
		width: 100%;
		height: 16.66666%;
		background: $white;
		position: absolute;
		left: 0;
		transition: all .2s ease-in-out;
		&:first-of-type {
			top: 0;
		}
		&:nth-of-type(2) {
			top: calc(50% - (16.66666% / 2));
		}
		&:last-of-type {
			bottom: 0;
		}
	}
	&.active {
		span {
			&:first-of-type {
				transform: translateY(5px) rotate(45deg);
			}
			&:nth-of-type(2) {
				transform: translateY(0) rotate(-45deg);
				@include max_small {
					transform: translateY(0) rotate(-45deg);
				}
			}
			&:last-of-type {
				transform: translateY(-10px);
				opacity: 0;
			}
		}
	}
}
</style>